VERSION 5.00
Begin VB.Form Form1 
   Caption         =   "Poseidon COM Library Demo"
   ClientHeight    =   3330
   ClientLeft      =   60
   ClientTop       =   450
   ClientWidth     =   8400
   LinkTopic       =   "Form1"
   ScaleHeight     =   3330
   ScaleWidth      =   8400
   StartUpPosition =   3  'Windows Default
   Begin VB.Frame Frame4 
      Caption         =   "Dynamic Sensors"
      Height          =   3135
      Left            =   5760
      TabIndex        =   17
      Top             =   120
      Width           =   2535
      Begin VB.CommandButton btDynSensors 
         Caption         =   "Refresh"
         Height          =   375
         Left            =   600
         TabIndex        =   19
         Top             =   2520
         Width           =   1335
      End
      Begin VB.ListBox liDynSensors 
         Height          =   2010
         ItemData        =   "Form1.frx":0000
         Left            =   120
         List            =   "Form1.frx":0007
         TabIndex        =   18
         Top             =   240
         Width           =   2295
      End
   End
   Begin VB.Frame Frame3 
      Caption         =   "Setup"
      Height          =   3135
      Left            =   120
      TabIndex        =   13
      Top             =   120
      Width           =   2895
      Begin VB.PictureBox Picture1 
         BorderStyle     =   0  'None
         Height          =   2055
         Left            =   360
         Picture         =   "Form1.frx":0010
         ScaleHeight     =   2055
         ScaleWidth      =   2055
         TabIndex        =   20
         Top             =   960
         Width           =   2055
      End
      Begin VB.CommandButton btSetDevAddr 
         Caption         =   "Set"
         Height          =   310
         Left            =   2280
         TabIndex        =   15
         Top             =   480
         Width           =   495
      End
      Begin VB.TextBox tbDevAddr 
         Height          =   315
         Left            =   120
         TabIndex        =   14
         Text            =   "poseidon.etech.cz"
         Top             =   480
         Width           =   2055
      End
      Begin VB.Label Label7 
         Caption         =   "Device IP Address:"
         Height          =   255
         Left            =   120
         TabIndex        =   16
         Top             =   240
         Width           =   1455
      End
   End
   Begin VB.Frame Frame1 
      Caption         =   "Static Sensors"
      Height          =   3135
      Left            =   3120
      TabIndex        =   0
      Top             =   120
      Width           =   2535
      Begin VB.CommandButton btRefresh 
         Caption         =   "Refresh"
         Height          =   375
         Left            =   600
         TabIndex        =   12
         Top             =   2520
         Width           =   1335
      End
      Begin VB.Label lbSensor1 
         AutoSize        =   -1  'True
         Caption         =   "N/A"
         Height          =   195
         Left            =   1080
         TabIndex        =   11
         Top             =   840
         Width           =   300
      End
      Begin VB.Label lbSensor2 
         AutoSize        =   -1  'True
         Caption         =   "N/A"
         Height          =   195
         Left            =   1080
         TabIndex        =   10
         Top             =   1200
         Width           =   300
      End
      Begin VB.Label lbSensor3 
         AutoSize        =   -1  'True
         Caption         =   "N/A"
         Height          =   195
         Left            =   1080
         TabIndex        =   9
         Top             =   1560
         Width           =   300
      End
      Begin VB.Label lbSensor4 
         AutoSize        =   -1  'True
         Caption         =   "N/A"
         Height          =   195
         Left            =   1080
         TabIndex        =   8
         Top             =   1920
         Width           =   300
      End
      Begin VB.Label Label6 
         AutoSize        =   -1  'True
         Caption         =   "Sensor 2:"
         Height          =   195
         Left            =   240
         TabIndex        =   7
         Top             =   1200
         Width           =   675
      End
      Begin VB.Label Label5 
         AutoSize        =   -1  'True
         Caption         =   "Sensor 3:"
         Height          =   195
         Left            =   240
         TabIndex        =   6
         Top             =   1560
         Width           =   675
      End
      Begin VB.Label Label3 
         AutoSize        =   -1  'True
         Caption         =   "Sensor 4:"
         Height          =   195
         Left            =   240
         TabIndex        =   5
         Top             =   1920
         Width           =   675
      End
      Begin VB.Label Label2 
         AutoSize        =   -1  'True
         Caption         =   "Sensor 1:"
         Height          =   195
         Left            =   240
         TabIndex        =   4
         Top             =   840
         Width           =   675
      End
      Begin VB.Label Label4 
         AutoSize        =   -1  'True
         Height          =   195
         Left            =   0
         TabIndex        =   3
         Top             =   0
         Width           =   45
      End
      Begin VB.Label lbCount 
         AutoSize        =   -1  'True
         Caption         =   "N/A"
         Height          =   195
         Left            =   1080
         TabIndex        =   2
         Top             =   360
         Width           =   300
      End
      Begin VB.Label Label1 
         AutoSize        =   -1  'True
         Caption         =   "Count:"
         Height          =   195
         Index           =   0
         Left            =   450
         TabIndex        =   1
         Top             =   360
         Width           =   465
      End
   End
End
Attribute VB_Name = "Form1"
Attribute VB_GlobalNameSpace = False
Attribute VB_Creatable = False
Attribute VB_PredeclaredId = True
Attribute VB_Exposed = False
Dim PosRead As New SensorReader

Private Sub btDynSensors_Click()
    Dim str As Variant
    
    liDynSensors.Clear
    
    PosRead.readDataFromDevice
        
    For Each str In PosRead
        liDynSensors.AddItem (str)
    Next
End Sub


Private Sub btRefresh_Click()
    PosRead.readDataFromDevice
    lbCount.Caption = PosRead.Count
    lbSensor1.Caption = PosRead.Item(1)
    lbSensor2.Caption = PosRead.Item(2)
    lbSensor3.Caption = PosRead.Item(3)
    lbSensor4.Caption = PosRead.Item(4)
End Sub

Private Sub btSetDevAddr_Click()
    PosRead.DeviceIpAddress = tbDevAddr.Text
End Sub

Private Sub Form_Load()
    'tbDevAddr.Text = PosRead.DeviceIpAddress
    btSetDevAddr_Click
End Sub
